# Luxsci.Api.Marketing3Api

All URIs are relative to *https://rest.luxsci.com/perl/api/v2*, unless a hostname is provided ([see README](../README.md#documentation-for-api-endpoints))

| Method | HTTP request | Description |
|--------|--------------|-------------|
| [**AddCampaign**](Marketing3Api.md#addcampaign) | **POST** /user/{username}/marketing/campaigns |  |
| [**AddContact**](Marketing3Api.md#addcontact) | **POST** /user/{username}/marketing/contact |  |
| [**AddContacts**](Marketing3Api.md#addcontacts) | **POST** /user/{username}/marketing/contacts |  |
| [**AddList**](Marketing3Api.md#addlist) | **POST** /user/{username}/marketing/list |  |
| [**AddListGroup**](Marketing3Api.md#addlistgroup) | **PUT** /user/{username}/marketing/list_group/{list_group_id} |  |
| [**DeleteCampaign**](Marketing3Api.md#deletecampaign) | **DELETE** /user/{username}/marketing/campaign/{campaign_id} |  |
| [**DeleteContact**](Marketing3Api.md#deletecontact) | **DELETE** /user/{username}/marketing/contact/{contact_id} |  |
| [**DeleteList**](Marketing3Api.md#deletelist) | **DELETE** /user/{username}/marketing/list/{list_id} |  |
| [**DeleteListGroup**](Marketing3Api.md#deletelistgroup) | **DELETE** /user/{username}/marketing/list_group/{list_group_id} |  |
| [**GetCampaign**](Marketing3Api.md#getcampaign) | **GET** /user/{username}/marketing/campaign/{campaign_id} |  |
| [**GetCampaigns**](Marketing3Api.md#getcampaigns) | **GET** /user/{username}/marketing/campaigns |  |
| [**GetContact**](Marketing3Api.md#getcontact) | **GET** /user/{username}/marketing/contact/{contact_id} |  |
| [**GetContacts**](Marketing3Api.md#getcontacts) | **GET** /user/{username}/marketing/contacts |  |
| [**GetList**](Marketing3Api.md#getlist) | **GET** /user/{username}/marketing/list/{list_id} |  |
| [**GetListGroups**](Marketing3Api.md#getlistgroups) | **GET** /user/{username}/marketing/list_groups |  |
| [**GetLists**](Marketing3Api.md#getlists) | **GET** /user/{username}/marketing/lists |  |
| [**GetReportBounced**](Marketing3Api.md#getreportbounced) | **GET** /user/{username}/marketing/report/bounced |  |
| [**GetReportClicked**](Marketing3Api.md#getreportclicked) | **GET** /user/{username}/marketing/report/clicked |  |
| [**GetReportComplaints**](Marketing3Api.md#getreportcomplaints) | **GET** /user/{username}/marketing/report/complaints |  |
| [**GetReportLogs**](Marketing3Api.md#getreportlogs) | **GET** /user/{username}/marketing/report/logs |  |
| [**GetReportOpened**](Marketing3Api.md#getreportopened) | **GET** /user/{username}/marketing/report/opened |  |
| [**GetReportUnsubscribed**](Marketing3Api.md#getreportunsubscribed) | **GET** /user/{username}/marketing/report/unsubscribed |  |
| [**GetReportUrls**](Marketing3Api.md#getreporturls) | **GET** /user/{username}/marketing/report/urls |  |
| [**UpdateCampaign**](Marketing3Api.md#updatecampaign) | **PUT** /user/{username}/marketing/campaign/{campaign_id} |  |
| [**UpdateContact**](Marketing3Api.md#updatecontact) | **PUT** /user/{username}/marketing/contact/{contact_id} |  |
| [**UpdateList**](Marketing3Api.md#updatelist) | **PUT** /user/{username}/marketing/list/{list_id} |  |
| [**UpdateListGroup**](Marketing3Api.md#updatelistgroup) | **POST** /user/{username}/marketing/list_group/{list_group_id} |  |

<a name="addcampaign"></a>
# **AddCampaign**
> AddCampaign200Response AddCampaign (string username, string? cookie = null, SM3CampaignPOSTBody? sM3CampaignPOSTBody = null)



Add New Campaign. {{ACL: User Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var sM3CampaignPOSTBody = new SM3CampaignPOSTBody?(); // SM3CampaignPOSTBody? |  (optional) 

            try
            {
                AddCampaign200Response result = apiInstance.AddCampaign(username, cookie, sM3CampaignPOSTBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.AddCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddCampaign200Response> response = apiInstance.AddCampaignWithHttpInfo(username, cookie, sM3CampaignPOSTBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.AddCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **sM3CampaignPOSTBody** | [**SM3CampaignPOSTBody?**](SM3CampaignPOSTBody?.md) |  | [optional]  |

### Return type

[**AddCampaign200Response**](AddCampaign200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes new campaign ID. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addcontact"></a>
# **AddContact**
> AddContact200Response AddContact (string username, string? cookie = null, Dictionary<string, string>? requestBody = null)



Add New Contact List. {{ACL: User Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddContactExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var requestBody = new Dictionary<string, string>?(); // Dictionary<string, string>? |  (optional) 

            try
            {
                AddContact200Response result = apiInstance.AddContact(username, cookie, requestBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.AddContact: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddContactWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddContact200Response> response = apiInstance.AddContactWithHttpInfo(username, cookie, requestBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.AddContactWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **requestBody** | [**Dictionary&lt;string, string&gt;?**](string.md) |  | [optional]  |

### Return type

[**AddContact200Response**](AddContact200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes ID and fields matching those sent in the request or which you would normally get from contact list queries. Ses the getLists. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addcontacts"></a>
# **AddContacts**
> AddContacts200Response AddContacts (string username, AddContactsRequest addContactsRequest, string? cookie = null)



Add New Contacts in Bulk. {{ACL: User Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddContactsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var addContactsRequest = new AddContactsRequest(); // AddContactsRequest | An array of JSON objects containing Contact properties.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                AddContacts200Response result = apiInstance.AddContacts(username, addContactsRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.AddContacts: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddContactsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddContacts200Response> response = apiInstance.AddContactsWithHttpInfo(username, addContactsRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.AddContactsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **addContactsRequest** | [**AddContactsRequest**](AddContactsRequest.md) | An array of JSON objects containing Contact properties. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**AddContacts200Response**](AddContacts200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Returns the number of contacts added plus an array of hashes, one per contact posted.  The order of contacts in the response array matches the order in the request array. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addlist"></a>
# **AddList**
> AddList200Response AddList (string username, SM3ListBody sM3ListBody, string? cookie = null)



Add New Contact List. {{ACL: User Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var sM3ListBody = new SM3ListBody(); // SM3ListBody | A JSON object containing List properties.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                AddList200Response result = apiInstance.AddList(username, sM3ListBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.AddList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddList200Response> response = apiInstance.AddListWithHttpInfo(username, sM3ListBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.AddListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **sM3ListBody** | [**SM3ListBody**](SM3ListBody.md) | A JSON object containing List properties. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**AddList200Response**](AddList200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes ID and fields matching those sent in the request or which you would normally get from contact list queries. Ses the getLists. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="addlistgroup"></a>
# **AddListGroup**
> AddListGroup200Response AddListGroup (string username, string? cookie = null, AddListGroupRequest? addListGroupRequest = null)



Create a new email list group. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class AddListGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addListGroupRequest = new AddListGroupRequest?(); // AddListGroupRequest? |  (optional) 

            try
            {
                AddListGroup200Response result = apiInstance.AddListGroup(username, cookie, addListGroupRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.AddListGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the AddListGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<AddListGroup200Response> response = apiInstance.AddListGroupWithHttpInfo(username, cookie, addListGroupRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.AddListGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |
| **addListGroupRequest** | [**AddListGroupRequest?**](AddListGroupRequest?.md) |  | [optional]  |

### Return type

[**AddListGroup200Response**](AddListGroup200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the data component of the response. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletecampaign"></a>
# **DeleteCampaign**
> Authentication201Response DeleteCampaign (string username, string campaignId, string? cookie = null)



Delete a campaign.  Note that deleing a campaign will also delete logs and statistics and other data related to that campaign. {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignId = "campaignId_example";  // string | Campaign Id.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteCampaign(username, campaignId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.DeleteCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteCampaignWithHttpInfo(username, campaignId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.DeleteCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignId** | **string** | Campaign Id. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletecontact"></a>
# **DeleteContact**
> Authentication201Response DeleteContact (string username, string contactId, string? cookie = null)



Delete a contact. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteContactExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var contactId = "contactId_example";  // string | List Id.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteContact(username, contactId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.DeleteContact: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteContactWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteContactWithHttpInfo(username, contactId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.DeleteContactWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **contactId** | **string** | List Id. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletelist"></a>
# **DeleteList**
> Authentication201Response DeleteList (string username, string id, int? contactsOnly = null, string? cookie = null)



Note: deleting a contact list will delete any contacts in that list. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var id = "id_example";  // string | List Id.
            var contactsOnly = 56;  // int? | If passed and true, this call will delete all contacts in the list, but the list itself will not be deleted. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.DeleteList(username, id, contactsOnly);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.DeleteList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.DeleteListWithHttpInfo(username, id, contactsOnly);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.DeleteListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **id** | **string** | List Id. |  |
| **contactsOnly** | **int?** | If passed and true, this call will delete all contacts in the list, but the list itself will not be deleted. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletelistgroup"></a>
# **DeleteListGroup**
> UpdateUser200Response DeleteListGroup (string username, string listGroupId, string? cookie = null)



Delete a specific email list group.  {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class DeleteListGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var listGroupId = "listGroupId_example";  // string | Unique Id for this list group.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.DeleteListGroup(username, listGroupId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.DeleteListGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the DeleteListGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.DeleteListGroupWithHttpInfo(username, listGroupId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.DeleteListGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **listGroupId** | **string** | Unique Id for this list group. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | none |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getcampaign"></a>
# **GetCampaign**
> GetCampaign200Response GetCampaign (string username, int campaignId, string? cookie = null)



Return details about the specified Campaign. {{ACL: User: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignId = 56;  // int | Campaign id for the specific campaign you want details for.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetCampaign200Response result = apiInstance.GetCampaign(username, campaignId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetCampaign200Response> response = apiInstance.GetCampaignWithHttpInfo(username, campaignId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignId** | **int** | Campaign id for the specific campaign you want details for. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetCampaign200Response**](GetCampaign200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return the specified Campign containing standard campaign details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getcampaigns"></a>
# **GetCampaigns**
> GetLists200Response GetCampaigns (string username, int? userId = null, string? status = null, string? cookie = null, string? useDate = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return summary data of all visible Campaigns. The Campaign creation date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaigns) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetCampaignsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var userId = 56;  // int? | Select campaigns owned by the given user ID. (optional) 
            var status = "scheduled";  // string? | Campaign Status Enum. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var useDate = "created";  // string? | This report uses the Campaign created date by default for all date-related filtering and sorting.  Set this parameter to \"modified\" to instead used the modified date.  Set it to \"send_at\" to use the date/time that the Campaign is scheduled to be sent.  Any other value passed in this parameter will cause the \"created\" date to be used. (optional)  (default to created)
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetCampaigns(username, userId, status, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetCampaigns: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetCampaignsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetCampaignsWithHttpInfo(username, userId, status, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetCampaignsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **userId** | **int?** | Select campaigns owned by the given user ID. | [optional]  |
| **status** | **string?** | Campaign Status Enum. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **useDate** | **string?** | This report uses the Campaign created date by default for all date-related filtering and sorting.  Set this parameter to \&quot;modified\&quot; to instead used the modified date.  Set it to \&quot;send_at\&quot; to use the date/time that the Campaign is scheduled to be sent.  Any other value passed in this parameter will cause the \&quot;created\&quot; date to be used. | [optional] [default to created] |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign summary data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getcontact"></a>
# **GetContact**
> GetContact200Response GetContact (string username, int contactId, int? details = null, string? cookie = null)



Return the specified Contact. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetContactExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var contactId = 56;  // int | Contact id for the specific contact list you want details for.
            var details = 56;  // int? | If details=1 (default) return custom fields. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetContact200Response result = apiInstance.GetContact(username, contactId, details);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetContact: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetContactWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetContact200Response> response = apiInstance.GetContactWithHttpInfo(username, contactId, details);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetContactWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **contactId** | **int** | Contact id for the specific contact list you want details for. |  |
| **details** | **int?** | If details&#x3D;1 (default) return custom fields. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetContact200Response**](GetContact200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return the specified Contact containing standard contact details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getcontacts"></a>
# **GetContacts**
> GetLists200Response GetContacts (string username, string? useDate = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null, int? listId = null, int? segmentId = null, int? details = null, string? cookie = null)



Return all Contacts in the specified List.  If no list is specified, then all contacts across all lists will be returned.  The contact creation date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_contacts) {{ACL: Marketing - Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetContactsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var useDate = "created";  // string? | This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \"modified\" to instead used the modified date. Any other value passed in this parameter will cause the \"created\" date to be used. (optional)  (default to created)
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var listId = 56;  // int? | List id to get all contacts in a specific List. If this is omitted, then all contacts across all Lists will be returned. (optional) 
            var segmentId = 56;  // int? | Segment id to get all contacts in a specific Segment.  Note that you can specify both a segment_id and a list_id to get contacts in a specific List that are also in a specific Segment. (optional) 
            var details = 56;  // int? | Whe nset to true (1), data for all custom fields will also be included in the response. (optional) 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetContacts(username, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, listId, segmentId, details);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetContacts: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetContactsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetContactsWithHttpInfo(username, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername, listId, segmentId, details);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetContactsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **useDate** | **string?** | This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \&quot;modified\&quot; to instead used the modified date. Any other value passed in this parameter will cause the \&quot;created\&quot; date to be used. | [optional] [default to created] |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **listId** | **int?** | List id to get all contacts in a specific List. If this is omitted, then all contacts across all Lists will be returned. | [optional]  |
| **segmentId** | **int?** | Segment id to get all contacts in a specific Segment.  Note that you can specify both a segment_id and a list_id to get contacts in a specific List that are also in a specific Segment. | [optional]  |
| **details** | **int?** | Whe nset to true (1), data for all custom fields will also be included in the response. | [optional]  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a CSV style list of headers and list of associative arrays each containing standard contact details including custom fields. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getlist"></a>
# **GetList**
> GetList200Response GetList (string username, int listId, string? cookie = null)



Return details about the specified Contact List. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var listId = 56;  // int | List id for the specific contact list you want details for.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetList200Response result = apiInstance.GetList(username, listId);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetList200Response> response = apiInstance.GetListWithHttpInfo(username, listId);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **listId** | **int** | List id for the specific contact list you want details for. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetList200Response**](GetList200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return the specified list containing standard list details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getlistgroups"></a>
# **GetListGroups**
> GetListGroups200Response GetListGroups (string username, string? cookie = null)



This function returns a list of all lists groups accessible to you.  {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetListGroupsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                GetListGroups200Response result = apiInstance.GetListGroups(username);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetListGroups: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetListGroupsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetListGroups200Response> response = apiInstance.GetListGroupsWithHttpInfo(username);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetListGroupsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**GetListGroups200Response**](GetListGroups200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Results in the data component of the response. The data component is a list of associated arrays. Each associate array corresponds to a single list group. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getlists"></a>
# **GetLists**
> GetLists200Response GetLists (string username, int? listGroupId = null, string? cookie = null, string? useDate = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return all Contact Lists. The list creation date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_lists) {{ACL: Marketing - Reports}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetListsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var listGroupId = 56;  // int? | Group id getting all lists in a specific group (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var useDate = "created";  // string? | This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \"modified\" to instead used the modified date. Any other value passed in this parameter will cause the \"created\" date to be used. (optional)  (default to created)
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetLists(username, listGroupId, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetLists: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetListsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetListsWithHttpInfo(username, listGroupId, cookie, useDate, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetListsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **listGroupId** | **int?** | Group id getting all lists in a specific group | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **useDate** | **string?** | This report uses the created date by default for all date-related filtering and sorting.  Set this parameter to \&quot;modified\&quot; to instead used the modified date. Any other value passed in this parameter will cause the \&quot;created\&quot; date to be used. | [optional] [default to created] |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing standard list details. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreportbounced"></a>
# **GetReportBounced**
> GetLists200Response GetReportBounced (string username, string? campaignIds = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return bounce data/email delivery failure data of all selected Campaigns. Uses delivery_status_updated as the date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_bounces) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportBouncedExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportBounced(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportBounced: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportBouncedWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportBouncedWithHttpInfo(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportBouncedWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign bounce data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreportclicked"></a>
# **GetReportClicked**
> GetLists200Response GetReportClicked (string username, string? campaignIds = null, string? useDate = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return click data of all selected Campaigns. The click date is used with date matching criteria unless the \"use_date\" parameter is set to \"sent\". See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_clicked) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportClickedExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. (optional) 
            var useDate = "useDate_example";  // string? | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportClicked(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportClicked: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportClickedWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportClickedWithHttpInfo(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportClickedWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]  |
| **useDate** | **string?** | If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign click data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreportcomplaints"></a>
# **GetReportComplaints**
> GetLists200Response GetReportComplaints (string username, string? campaignIds = null, string? useDate = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return spam complaint data from all selected Campaigns. The message delivery status updated date is used by default for date selections, unless \"use_date\" is set to \"sent\". See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_complaints) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportComplaintsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. (optional) 
            var useDate = "useDate_example";  // string? | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportComplaints(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportComplaints: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportComplaintsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportComplaintsWithHttpInfo(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportComplaintsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]  |
| **useDate** | **string?** | If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign complaint data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreportlogs"></a>
# **GetReportLogs**
> GetLists200Response GetReportLogs (string username, string? campaignIds = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return sending log data of all selected Campaigns.  This includes all metadata for each recipient, including the delivery status, open status, click staus, etc.  The delivery status last updated date is used with date matching criteria. See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_logs) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportLogsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportLogs(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportLogs: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportLogsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportLogsWithHttpInfo(username, campaignIds, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportLogsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing sending event data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreportopened"></a>
# **GetReportOpened**
> GetLists200Response GetReportOpened (string username, string? campaignIds = null, string? useDate = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return open event data of all selected Campaigns. The open date is used with date matching criteria, unless the \"use_date\" parameter is set to \"sent\". See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_opened) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportOpenedExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected. (optional) 
            var useDate = "useDate_example";  // string? | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportOpened(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportOpened: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportOpenedWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportOpenedWithHttpInfo(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportOpenedWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids. If omitted, all campaigns are selected. | [optional]  |
| **useDate** | **string?** | If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign opened data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreportunsubscribed"></a>
# **GetReportUnsubscribed**
> GetLists200Response GetReportUnsubscribed (string username, string? campaignIds = null, string? useDate = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return unsubscribe data of all selected Campaigns. The unsubscribe date is used with date matching criteria, unless the \"use_date\" parameter is set to \"sent\". See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_unsubscribed) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportUnsubscribedExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. (optional) 
            var useDate = "useDate_example";  // string? | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportUnsubscribed(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportUnsubscribed: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportUnsubscribedWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportUnsubscribedWithHttpInfo(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportUnsubscribedWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]  |
| **useDate** | **string?** | If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign unsubscribe data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreporturls"></a>
# **GetReportUrls**
> GetLists200Response GetReportUrls (string username, string? campaignIds = null, string? useDate = null, string? detail = null, string? email = null, string? domain = null, string? cookie = null, string? afterDate = null, string? beforeDate = null, int? firstRow = null, string? fromDate = null, int? matches = null, string? throughDate = null, string? destination = null, string? destinationDirectory = null, string? destinationHostname = null, string? destinationPassword = null, string? destinationUsername = null)



Return clicked-on urls of all selected Campaigns. The click date is used with date matching criteria unless the \"use_date\" parameter is set to \"sent\".  See also [API Reporting Basics](/rest-api/reporting.html) and [report header columns in the response.](/rest-api/report-responses.html#sm3_campaign_report_urls) {{ACL: User: Marketing - Reporting}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class GetReportUrlsExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignIds = "campaignIds_example";  // string? | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. (optional) 
            var useDate = "useDate_example";  // string? | If set to \"sent\", use the date the message was sent, instead of the date of the open event, for date selections. (optional) 
            var detail = "detail_example";  // string? | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. (optional) 
            var email = "email_example";  // string? | Filter results by matching any Contact email address containing the given string. (optional) 
            var domain = "domain_example";  // string? | Filter results by matching any Contact email address in a domain name containing the given string. (optional) 
            var cookie = "cookie_example";  // string? |  (optional) 
            var afterDate = "afterDate_example";  // string? | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT (optional) 
            var beforeDate = "beforeDate_example";  // string? | DATETIME. Return only matches dated before this date time. (optional) 
            var firstRow = 0;  // int? | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row=50000 to get rows 50000 to 99,999. (optional)  (default to 0)
            var fromDate = "fromDate_example";  // string? | DATETIME. Return only matches dated on or after this date time. (optional) 
            var matches = 50000;  // int? | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. (optional)  (default to 50000)
            var throughDate = "throughDate_example";  // string? | DATETIME. Return only matches dated before or on this date time. (optional) 
            var destination = "destination_example";  // string? | For reporting requests.  Specifying a destination makes the report \"asynchronous.\"  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \"job number\" and the filename that will be uploaded.  The supported value of \"destination\" is currently only \"sftp\" for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \"destination\" is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. (optional) 
            var destinationDirectory = "destinationDirectory_example";  // string? | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \"chdir\" command. (optional) 
            var destinationHostname = "destinationHostname_example";  // string? | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationPassword = "destinationPassword_example";  // string? | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 
            var destinationUsername = "destinationUsername_example";  // string? | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. (optional) 

            try
            {
                GetLists200Response result = apiInstance.GetReportUrls(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.GetReportUrls: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the GetReportUrlsWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<GetLists200Response> response = apiInstance.GetReportUrlsWithHttpInfo(username, campaignIds, useDate, detail, email, domain, cookie, afterDate, beforeDate, firstRow, fromDate, matches, throughDate, destination, destinationDirectory, destinationHostname, destinationPassword, destinationUsername);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.GetReportUrlsWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignIds** | **string?** | Select campaigns as string of comma-separated campaign ids.  If omitted, all campaigns are selected. | [optional]  |
| **useDate** | **string?** | If set to \&quot;sent\&quot;, use the date the message was sent, instead of the date of the open event, for date selections. | [optional]  |
| **detail** | **string?** | Boolean.  If 1, include the values of all Contact Custom Fields in the report. Default is 0. | [optional]  |
| **email** | **string?** | Filter results by matching any Contact email address containing the given string. | [optional]  |
| **domain** | **string?** | Filter results by matching any Contact email address in a domain name containing the given string. | [optional]  |
| **cookie** | **string?** |  | [optional]  |
| **afterDate** | **string?** | DATETIME. Return only matches dated after this date time. Format “YYYY-MM-DD HH:MM:SS” in GMT | [optional]  |
| **beforeDate** | **string?** | DATETIME. Return only matches dated before this date time. | [optional]  |
| **firstRow** | **int?** | (Default value 0). All of the matches are sorted and numbered starting from 0. E.g. if you have 100,000 matches, these are rows 0 through 99,999. If you specify a first_row, then the returned matches will be those rows starting from that row. E.g. without a specification (or if you specify 0), you might get rows 0 through 49,999. In your next request you might specify first_row&#x3D;50000 to get rows 50000 to 99,999. | [optional] [default to 0] |
| **fromDate** | **string?** | DATETIME. Return only matches dated on or after this date time. | [optional]  |
| **matches** | **int?** | (Default value 50000). You can set matches to any value from 0 to 50000. This sets the maximum number of matches that will be returned in response to your request. Note that if the response size starts to exceed 50MB, then the response can still include fewer than your “matches” number, to keep the response size reasonable. If you specify “0” here, then no matches will be returned; however, you will still get the information on the number of matches that there were.  For asynchronous reports (ones where a destination is specified), the matches parameter is not limited to 50000, but it still defaults to 50000 if not specified. If you expect a larger number of rows, then you must explicitly approve the maximum size of the result set by setting matches appropriately.  This helps prevent accidental queries that produce very larger result sets. | [optional] [default to 50000] |
| **throughDate** | **string?** | DATETIME. Return only matches dated before or on this date time. | [optional]  |
| **destination** | **string?** | For reporting requests.  Specifying a destination makes the report \&quot;asynchronous.\&quot;  This means that a background job will be created to run the report and upload the final CSV file to the requested destination.  The API request to start the report will return immediately with a background \&quot;job number\&quot; and the filename that will be uploaded.  The supported value of \&quot;destination\&quot; is currently only \&quot;sftp\&quot; for a Secure FTP upload over SSH (as opposed to ftps, which would be a Secure FTP upload over SSL).  When \&quot;destination\&quot; is specified, additional destination parameters are also required.  Note that for SFTP uploads, there is a 15-minute upload timeout - - uploads that take longer (e.g., due to slow SFTP servers) will be aborted.  WARNING: Multiple concurrent large asynchronous report requests will impact your database performance: reports will take longer to generate and your LuxSci services will experience degraded/slower performance. | [optional]  |
| **destinationDirectory** | **string?** | For asynchronous reporting requests.  This optional parameter will be the subdirectory to change to on the SFTP server before uploading the report CSV file.  Technically speaking, this will be the argument provided to the SFTP \&quot;chdir\&quot; command. | [optional]  |
| **destinationHostname** | **string?** | For asynchronous reporting requests.  This will be the hostname of the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationPassword** | **string?** | For asynchronous reporting requests.  This will be the password to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |
| **destinationUsername** | **string?** | For asynchronous reporting requests.  This will be the username to be used for the login to the SFTP server to which the report CSV file should be uploaded. | [optional]  |

### Return type

[**GetLists200Response**](GetLists200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | This will return a list of associated arrays each containing campaign url data. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatecampaign"></a>
# **UpdateCampaign**
> Authentication201Response UpdateCampaign (string username, string campaignId, string? cookie = null, SM3CampaignPUTBody? sM3CampaignPUTBody = null)



Update information for existing Campaign. {{ACL: Marketing - Campaign Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateCampaignExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var campaignId = "campaignId_example";  // string | Campaign Id.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var sM3CampaignPUTBody = new SM3CampaignPUTBody?(); // SM3CampaignPUTBody? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.UpdateCampaign(username, campaignId, cookie, sM3CampaignPUTBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.UpdateCampaign: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateCampaignWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.UpdateCampaignWithHttpInfo(username, campaignId, cookie, sM3CampaignPUTBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.UpdateCampaignWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **campaignId** | **string** | Campaign Id. |  |
| **cookie** | **string?** |  | [optional]  |
| **sM3CampaignPUTBody** | [**SM3CampaignPUTBody?**](SM3CampaignPUTBody?.md) |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | OK |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatecontact"></a>
# **UpdateContact**
> Authentication201Response UpdateContact (string username, string contactId, Dictionary<string, string> requestBody, string? cookie = null)



Update information for existing Contact such as E-mail address or custom fields attached to the parent List. {{ACL: Marketing - Contact Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateContactExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var contactId = "contactId_example";  // string | Contact Id.
            var requestBody = new Dictionary<string, string>(); // Dictionary<string, string> | A JSON object containing Contact properties.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.UpdateContact(username, contactId, requestBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.UpdateContact: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateContactWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.UpdateContactWithHttpInfo(username, contactId, requestBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.UpdateContactWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **contactId** | **string** | Contact Id. |  |
| **requestBody** | [**Dictionary&lt;string, string&gt;**](string.md) | A JSON object containing Contact properties. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes ID and fields matching those sent in the request or which you would normally get from contact queries. See the getContacts. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatelist"></a>
# **UpdateList**
> Authentication201Response UpdateList (string username, string id, SM3ListBody sM3ListBody, string? cookie = null)



Update information for existing Contact Lists such as From Name or From Address. This can also be used to assign custom fields to specific lists, but the custom field must exist in the platform in advance. Return contact information and other general metadata for the user. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateListExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var id = "id_example";  // string | List Id.
            var sM3ListBody = new SM3ListBody(); // SM3ListBody | A JSON object containing List properties.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 

            try
            {
                Authentication201Response result = apiInstance.UpdateList(username, id, sM3ListBody);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.UpdateList: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateListWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<Authentication201Response> response = apiInstance.UpdateListWithHttpInfo(username, id, sM3ListBody);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.UpdateListWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **id** | **string** | List Id. |  |
| **sM3ListBody** | [**SM3ListBody**](SM3ListBody.md) | A JSON object containing List properties. |  |
| **cookie** | **string?** |  | [optional]  |

### Return type

[**Authentication201Response**](Authentication201Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | Includes ID and fields matching those sent in the request or which you would normally get from contact list queries. Ses the getLists. |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="updatelistgroup"></a>
# **UpdateListGroup**
> UpdateUser200Response UpdateListGroup (string username, string listGroupId, string? cookie = null, AddListGroupRequest? addListGroupRequest = null)



Update the List Group name. {{ACL: Marketing - List Management}}

### Example
```csharp
using System.Collections.Generic;
using System.Diagnostics;
using Luxsci.Api;
using Luxsci.Client;
using Luxsci.Model;

namespace Example
{
    public class UpdateListGroupExample
    {
        public static void Main()
        {
            Configuration config = new Configuration();
            config.BasePath = "https://rest.luxsci.com/perl/api/v2";
            var apiInstance = new Marketing3Api(config);
            var username = "username_example";  // string | 
            var listGroupId = "listGroupId_example";  // string | Unique Id for this list group.
            var cookie = signature=66843253-1617892797-e5a3f01353817e6fb1fc9bdd0cb2466fa0c4cab44206b52a929ec850510a3b9c:cb814df2717ce7240594092eba854fbb67e9a2504c38b6f525687b4d0c079857;  // string? |  (optional) 
            var addListGroupRequest = new AddListGroupRequest?(); // AddListGroupRequest? |  (optional) 

            try
            {
                UpdateUser200Response result = apiInstance.UpdateListGroup(username, listGroupId, cookie, addListGroupRequest);
                Debug.WriteLine(result);
            }
            catch (ApiException  e)
            {
                Debug.Print("Exception when calling Marketing3Api.UpdateListGroup: " + e.Message);
                Debug.Print("Status Code: " + e.ErrorCode);
                Debug.Print(e.StackTrace);
            }
        }
    }
}
```

#### Using the UpdateListGroupWithHttpInfo variant
This returns an ApiResponse object which contains the response data, status code and headers.

```csharp
try
{
    ApiResponse<UpdateUser200Response> response = apiInstance.UpdateListGroupWithHttpInfo(username, listGroupId, cookie, addListGroupRequest);
    Debug.Write("Status Code: " + response.StatusCode);
    Debug.Write("Response Headers: " + response.Headers);
    Debug.Write("Response Body: " + response.Data);
}
catch (ApiException e)
{
    Debug.Print("Exception when calling Marketing3Api.UpdateListGroupWithHttpInfo: " + e.Message);
    Debug.Print("Status Code: " + e.ErrorCode);
    Debug.Print(e.StackTrace);
}
```

### Parameters

| Name | Type | Description | Notes |
|------|------|-------------|-------|
| **username** | **string** |  |  |
| **listGroupId** | **string** | Unique Id for this list group. |  |
| **cookie** | **string?** |  | [optional]  |
| **addListGroupRequest** | [**AddListGroupRequest?**](AddListGroupRequest?.md) |  | [optional]  |

### Return type

[**UpdateUser200Response**](UpdateUser200Response.md)

### Authorization

Authorization handled with secret key and public token provided

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
| **200** | None |  -  |

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

